import Component from '@glimmer/component';
declare type Metadata = {
    dimension: 'aspectRatio' | 'height' | 'width';
    max: number;
    min: number;
};
declare type Features = {
    [featureName: string]: Metadata;
};
declare type QueryResults = {
    [featureName: string]: boolean;
};
interface ContainerQueryComponentArgs {
    dataAttributePrefix?: string;
    debounce?: number;
    features?: Features;
    tagName?: string;
}
export default class ContainerQueryComponent extends Component<ContainerQueryComponentArgs> {
    queryResults: QueryResults;
    aspectRatio?: number;
    height?: number;
    width?: number;
    get features(): Features;
    get dataAttributePrefix(): string;
    get debounce(): number;
    tagName: string;
    onResize(resizeObserverEntry: ResizeObserverEntry): void;
    queryContainer(element: Element): void;
    measureDimensions(element: Element): void;
    evaluateQueries(): void;
    setDataAttributes(element: Element): void;
}
export {};
//# sourceMappingURL=container-query.d.ts.map